Package ru.bitel.bgbilling.modules.mps.server.bean.protocol

# Class ElecsnetAbstractTransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager
ru.bitel.bgbilling.modules.mps.server.bean.protocol.ElecsnetAbstractTransactionManager

Direct Known Subclasses:
  `ElecsnetMskTransactionManager`, `ElecsnetSpbTransactionManager`

public abstract class ElecsnetAbstractTransactionManager extends MPSTransactionManager
Протокол Элекснет. Общий класс для протоколов из Москвы и Питера.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static enum`
  `ElecsnetAbstractTransactionManager.AnswerCode`
  Коды ошибок протокола Елекснет.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `DATE_FORMAT`
  формат поля дата платежа
  `protected static final String`
  `encoding`
  Кодировка запросов/ответов
  `protected static final int`
  `ERROR_CONTRACT_NOT_FOUND`
  код ошибки, что договор не найден для протокола elecsnet-spb (для elecsnet используется стандартный ERROR_MPS_CONTRACT_NOT_FOUND и возвращается код 43, а здесь нужно отдать код 48, поэтому введена отдельная константа)
  `protected static final int`
  `ERROR_SERVICE_UNAVAILABLE`
  код ошибки, что сервер временно не работает
  `protected static final BigDecimal`
  `MULTIPLICAND`
  Т.к. суммы передаются в копейках, то вынесем 100коп=1руб в константы.

  ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager

  `ACTION_CANCEL, ACTION_CHANGE, ACTION_CHECK, ACTION_PAY, ACTION_PAY_ON_CHECK, ACTION_STATUS, documentBuilder, ERROR_MPS_CONTRACT_NOTFOUND, ERROR_MPS_DATA, ERROR_MPS_DATE, ERROR_MPS_DATE_FIELD, ERROR_MPS_EDIT_NOT_SUPPORTED, ERROR_MPS_HASH, ERROR_MPS_ISOFF, ERROR_MPS_NUMBER_PATTERN, ERROR_MPS_OUT_OF_MONEY, ERROR_MPS_PAY_EXIST, ERROR_MPS_PAY_NOTEXIST, ERROR_MPS_REQUEST, ERROR_MPS_SERVER, ERROR_MPS_SUM_BIG, ERROR_MPS_SUM_SMALL, ERROR_MPS_SUM_TOOSMALLORBIG, ERROR_MPS_TRANSACTION_ID_FIELD, ERROR_MPS_TYPE, KEY_RESPONSE_PARAMETERS, MPS_CYBERPLAT, MPS_FROMGATEWAY, MPS_OSMP, p1, p2, p3, pNumber, REQUEST_ATTRIBUTE_PARAMETERS, REQUEST_ATTRIBUTE_PATH_INFO`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ElecsnetAbstractTransactionManager(String sum, String date)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected MPSRequest`
  `parseRequest(Connection con, int moduleId, String mpsId, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest request)`
  Парсинг запроса от системы
  `protected void`
  `processError(MPSException ex, MPSResponse response)`
  Обработка ошибки

  ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager

  `actionCheck, addTransaction, addTransaction, addTransaction, cancelPreparedTransaction, cancelTransaction, checkTime, checkValid, clearCanceledTransaction, createTemporaryTable, executePreparedTransaction, executePreparedTransaction, executePreparedTransaction, findContract, getComment, getContractById, getContractTitle, getDefaultEncoding, getEncoding, getInstance, getResponse, getResponseAttributes, getTable, getTransactionByTransId, getTransactionByTransId, getTransactionByTransId, getTransactionFromRS, getTransactionList, getTransactionList, getTransactionList, getTransactionList, getTransactionList, getTransactionListForDay, getTransactionListFromFile, getTransactionListFromFileByConfig, getTransactionListFromFileByPattern, getUserLogin, getUserLoginFormatted, onPayment, parseBigInteger, prepareTransaction, prepareTransaction, prepareTransaction, preProcess, processRegister, processRegister, processRequest, processRequest, processResponseEvent, reviseAddTransactions, reviseCancelTransactions, reviseRestoreTransactions, searchTransactionList, setEncoding, setResponseParameters, setUserLogin, systemAccountAdd, systemAccountDelete, xmlSerialize`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DATE_FORMAT

    protected static final String DATE_FORMAT
    формат поля дата платежа
    See Also:
      - Constant Field Values

  - ### ERROR_SERVICE_UNAVAILABLE

    protected static final int ERROR_SERVICE_UNAVAILABLE
    код ошибки, что сервер временно не работает
    See Also:
      - Constant Field Values

  - ### ERROR_CONTRACT_NOT_FOUND

    protected static final int ERROR_CONTRACT_NOT_FOUND
    код ошибки, что договор не найден для протокола elecsnet-spb (для elecsnet используется стандартный ERROR_MPS_CONTRACT_NOT_FOUND и возвращается код 43, а здесь нужно отдать код 48, поэтому введена отдельная константа)
    See Also:
      - Constant Field Values

  - ### encoding

    protected static final String encoding
    Кодировка запросов/ответов
    See Also:
      - Constant Field Values

  - ### MULTIPLICAND

    protected static final BigDecimal MULTIPLICAND
    Т.к. суммы передаются в копейках, то вынесем 100коп=1руб в константы.

- ## Constructor Details

  - ### ElecsnetAbstractTransactionManager

    public ElecsnetAbstractTransactionManager(String sum, String date)

- ## Method Details

  - ### parseRequest

    protected MPSRequest parseRequest(Connection con, int moduleId, String mpsId, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest request) throws MPSException
    Description copied from class: `MPSTransactionManager`
    Парсинг запроса от системы
    Specified by:
      `parseRequest` in class `MPSTransactionManager`
    Throws:
      `MPSException`

  - ### processError

    protected void processError(MPSException ex, MPSResponse response)
    Description copied from class: `MPSTransactionManager`
    Обработка ошибки
    Specified by:
      `processError` in class `MPSTransactionManager`